View Issue Details

IDProjectCategoryView StatusLast Update
0001339Industrial-Craft²machinespublic2014-08-28 08:00
ReporterSammy89Assigned ToPlayer 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionBuilds for MC 1.7.10 
Target VersionFixed in Version 
Summary0001339: Electric heat generator takes stack of Coils in first slot
DescriptionThe electric heat generator can take a full stack of coils in every slot. This is only possible if you transfer the coils via Shift-click.

The heat generator then recognizes just one coil which is probably the intended behavior as via left click only one coil is placeable.

Tested with IC2 Version: industrialcraft-2-2.2.618 / Forge Version:
1.7.10-10.13.0.1200
Steps To ReproduceBuild electric heat generator, craft stack of coils, place them in the heat generator via Shift-click.
TagsNo tags attached.
Minecraft Version

Activities

Sammy89

2014-08-24 21:33

reporter  

2014-08-24_23.31.54.png (1,556,769 bytes)

Sammy89

2014-08-24 21:36

reporter   ~0003321

For sake of clarification: The heat generator recognizes one coil per slot, no matter how many coils are in the setup.
Placing 64 coils in the first slot and leaving the others empty results in recognizing 1 coil.

Sammy89

2014-08-26 22:01

reporter   ~0003348

Last edited: 2014-08-26 23:24

View 2 revisions

Another Note: The same issue appears in fluid heat exchangers... perhaps in some other devices also... I have not checked yet.

Player

2014-08-28 08:00

administrator   ~0003356

This should be fixed now. I can't fix it for piping items in without extra API though. if you encounter a similar bug on other machines file a separate bug report please.

Issue History

Date Modified Username Field Change
2014-08-24 21:33 Sammy89 New Issue
2014-08-24 21:33 Sammy89 File Added: 2014-08-24_23.31.54.png
2014-08-24 21:36 Sammy89 Note Added: 0003321
2014-08-25 08:31 Thunderdark Assigned To => Player
2014-08-25 08:31 Thunderdark Status new => assigned
2014-08-26 22:01 Sammy89 Note Added: 0003348
2014-08-26 23:24 Sammy89 Note Edited: 0003348 View Revisions
2014-08-28 08:00 Player Note Added: 0003356
2014-08-28 08:00 Player Status assigned => resolved
2014-08-28 08:00 Player Resolution open => fixed